Skip to content

DeviceSummary

Object

Summary information for devices across a time range. Includes total count and counts by buckets.

Fields

FieldTypeDescription
totalInt!

The total number of devices within the time range.

buckets[DeviceSummaryBucket!]

A detailed summary of each bucket within the time range. Summary buckets are only returned if deviceBucket is provided as a query parameter to deviceSummary.

highestTotalBuckets[DeviceHighestTotalBucket!]!

The bucket(s) with the greatest total across the parent’s buckets. Empty if no deviceBucket was provided. All tied buckets are returned per group.

Arguments
NameTypeDescription
groupByDeviceSummaryBucketType

Dimensions to keep distinct when finding the max. Must align with the query’s deviceBucket: groupBy.fields must be a subset of deviceBucket.fields, and groupBy.size must equal deviceBucket.size if set. If null, returns the single bucket with the greatest total across all buckets (plus any ties).